<?php
/**
 * !! WARNING !! This file is here only for compatibility reasons.
 *               The actual messages are now found in the i18n directory
 *
 * Internationalisation for CryptoPhoto extension
 *
 * @file
 * @ingroup Extensions
 */

$messages = array();

/** English
 * @author Cryptophoto
 */
$messages['en'] = array(
    "cryptophoto-desc"            => "Adds a 2-factor authentication to the wiki",

    "prefs-cryptophoto"           => "CryptoPhoto",
    "prefs-cryptophotosettings"   => "CryptoPhoto Settings",
    "cryptophoto-pref-enabled"    => "Enable CryptoPhoto",
    "cp-mandatory"                => "The administrator requires you to use the CryptoPhoto service. Make sure to save your CryptoPhoto token.",
    "cp-not-allowed"              => "The administrator has not enabled the CryptoPhoto service for your user group(s).",
    "cp-not-setup"                => "The CryptoPhoto service is not setup up yet.",
    
    "cp-error-not-admin"          => "You must be logged in as an administrator to see this page.",

    "cryptophotosettings"         => "CryptoPhoto Settings",
    "cpsettings-ks"               => "Keys/Server Setup",
    "cpsettings-options"          => "Extra Options",
    "cpsettings-autoconf"         => "Set-up your Cryptophoto keys here or use the autoconfiguration",
    "cpsettings-wizzard-button"   => "Wizzard",
    "cpsettings-publickey-label"  => "Public Key",
    "cpsettings-publickey-help"   => "Your CryptoPhoto API Public Key",
    "cpsettings-privatekey-label" => "Private Key",
    "cpsettings-privatekey-help"  => "Your CryptoPhoto API Private Key",
    "cpsettings-salt-label"       => "Salt",
    "cpsettings-salt-help"        => "The 'Salt' is used to create unique user IDs. It is recomended to use a random string and once set, not to change it, otherwise the CryptoPhoto settings of each of your users will be reset",
    "cpsettings-server-label"     => "Server",
    "cpsettings-server-help"      => "Set a server url if you're using a CryptoPhoto appliance, otherwise leave this field as is",
    "cpsettings-mandatory-label"  => "Mandatory Groups",
    "cpsettings-mandatory-help"   => "Force selected user groups to use CryptoPhoto authentication. The groups selected here are automatically considered allowed to use the CryptoPhoto service",
    "cpsettings-allowed-label"    => "Allowed Groups",
    "cpsettings-allowed-help"     => "Chose groups which are allowed to use CryptoPhoto",
    "cpsettings-test-button"      => "Test Configuration",
    "cpsettings-save-button"      => "Save Settings",
    "cpsettings-saved-success"    => "CryptoPhoto settings saved",
    "cpsettings-saved-error"      => "Error saving CryptoPhoto settings!",
    
    "cryptophotousers"            => "CryptoPhoto Users Management",
    "cpusers-days-ago"            => "days ago",
    "cpusers-cpe-mandatory"       => "mandatory",
    "cpusers-cpe-not-allowed"     => "not allowed",
    "cpusers-field-userid"        => "User ID",
    "cpusers-field-username"      => "User Name",
    "cpusers-field-cpenabled"     => "CryptoPhoto Enabled",
    "cpusers-field-cpao"          => "CryptoPhoto Admin Override",
    "cpusers-field-usergroups"    => "User Groups",
    "cpusers-field-useremail"     => "User Email",
    "cpusers-field-usertouched"   => "User Touched",
    "cpusers-saved-success"       => "User options have been successfully saved.",
    "cpusers-save-button"         => "Save Changes",
    "cpusers-filter-label"        => "Filter (user name/email): ",
    "cpusers-filter-apply-button" => "Apply Filter",
    "cpusers-filter-clear-button" => "Clear Filter",

    "cryptophotoauth"             => "CryptoPhoto Authentication",
    "cp-auth-button"              => "Authenticate",
    "cp-auth-success"             => "You've been successfuly authenticated. Redirecting now to Main page.",
    "cp-auth-error-not-logged"    => "You must logged in to see this page.",
    "cp-auth-error-not-match"     => "Codes don't match",
    "cp-auth-error-both-codes"    => "You must fill in both codes",
    "cp-auth-error-retry-count"   => "Invalid retry count",
    "cp-auth-error-generic"       => "Authentication error"
);

?>
